osmium::io::Bzip2BufferDecompressor Class Reference

`#include <bzip2_compression.hpp>`

Inheritance diagram for osmium::io::Bzip2BufferDecompressor:
[legend]
Collaboration diagram for osmium::io::Bzip2BufferDecompressor:
[legend]

## Public Member Functions

| Bzip2BufferDecompressor (const char *buffer, size_t size)
| ~Bzip2BufferDecompressor () noexceptfinal
std::string | read () final
void | close () final
Public Member Functions inherited from osmium::io::Decompressor
| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept

## Private Attributes

const char * | m_buffer
size_t | m_buffer_size
bz_stream | m_bzstream

## Additional Inherited Members

Static Public Attributes inherited from osmium::io::Decompressor
static constexpr unsigned int | input_buffer_size = 1024 * 1024

## Constructor & Destructor Documentation

osmium::io::Bzip2BufferDecompressor::Bzip2BufferDecompressor | ( | const char * | buffer,
|  | size_t | size
| ) |  |

inline

osmium::io::Bzip2BufferDecompressor::~Bzip2BufferDecompressor | ( |  | ) |

inline final noexcept

## Member Function Documentation

void osmium::io::Bzip2BufferDecompressor::close | ( |  | ) |

inline final virtual

Implements osmium::io::Decompressor.

std::string osmium::io::Bzip2BufferDecompressor::read | ( |  | ) |

inline final virtual

Implements osmium::io::Decompressor.

## Member Data Documentation

const char* osmium::io::Bzip2BufferDecompressor::m_buffer

private

size_t osmium::io::Bzip2BufferDecompressor::m_buffer_size

private

bz_stream osmium::io::Bzip2BufferDecompressor::m_bzstream

private

The documentation for this class was generated from the following file:

- osmium/io/bzip2_compression.hpp